Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1366809 - NoMethodError: undefined method `reverse_each' for nil:NilClass while doing perf_rollup_range on rails console [NEEDINFO]
Summary: NoMethodError: undefined method `reverse_each' for nil:NilClass while doing p...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: C&U Capacity and Utilization
Version: 5.5.0
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: GA
: cfme-future
Assignee: James Wong
QA Contact: Dave Johnson
URL:
Whiteboard: c&u
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-12 22:52 UTC by Nandini Chandra
Modified: 2017-12-05 15:10 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-06-29 18:02:12 UTC
Category: ---
Cloudforms Team: ---
nachandr: needinfo? (nachandr)


Attachments (Terms of Use)

Description Nandini Chandra 2016-08-12 22:52:38 UTC
Description of problem:
-----------------------
I'm running into this error while running perf_rollup_range on rails console.

irb(main):003:0> vm.perf_rollup_range('realtime',1.hour.ago.utc, Time.now.utc)
NoMethodError: undefined method `reverse_each' for nil:NilClass
	from /var/www/miq/vmdb/app/models/metric/ci_mixin/rollup.rb:118:in `perf_rollup_range'
	from (irb):3
	from /opt/rh/cfme-gemset/gems/railties-4.2.6/lib/rails/commands/console.rb:110:in `start'
	from /opt/rh/cfme-gemset/gems/railties-4.2.6/lib/rails/commands/console.rb:9:in `start'
	from /opt/rh/cfme-gemset/gems/railties-4.2.6/lib/rails/commands/commands_tasks.rb:68:in `console'
	from /opt/rh/cfme-gemset/gems/railties-4.2.6/lib/rails/commands/commands_tasks.rb:39:in `run_command!'
	from /opt/rh/cfme-gemset/gems/railties-4.2.6/lib/rails/commands.rb:17:in `<top (required)>'
	from bin/rails:4:in `require'
	from bin/rails:4:in `<main>'

Version-Release number of selected component (if applicable):
--------------------------
5.5.5.5


How reproducible:
----------------
Always


Steps to Reproduce:
-------------------
Run the following commands on the rails console
1.irb(main):001:0> vm = Vm.where(:ems_id =>2).where(:name => 'cu-24x7')[0]
2.irb(main):002:0> vm.perf_capture('realtime',1.hour.ago.utc, Time.now.utc)
3.irb(main):003:0> vm.perf_rollup_range('realtime',1.hour.ago.utc, Time.now.utc)


Actual results:
---------------
1)undefined method error
2)rollup succeeds


Expected results:
-----------------
No errors


Additional info:
----------------

Comment 3 Nandini Chandra 2016-09-13 18:25:36 UTC
Setting NEEDINFO for myself.


Note You need to log in before you can comment on or make changes to this bug.